import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/store/advertisement.dart';
import 'package:vegigo2_ui_common/entities/store/advertisement_type.dart';

class AdvertisementModel extends Advertisement {
  AdvertisementModel({
    @required String id,
    String title,
    @required AdvertisementType type,
    @required String image,
    bool active
  }): super(
    id: id,
    title: title,
    type: type,
    image: image,
    active: active
  );

  factory AdvertisementModel.fromJson(Map<String, dynamic> json) {
    return AdvertisementModel(
      id: json['id'].toString(),
      title: json['title'] as String,
      type: (json['type'] as String).toAdvertisementType(),
      image: json['image'] as String,
      active: json['active'] as bool
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'title': title,
      'type': type,
      'image': image,
      'active': active
    };
  }

  static List<AdvertisementModel> fromJsonArray(List<dynamic> jsonArray) {
    return jsonArray.map(
      (jsonAdvertisement) => AdvertisementModel.fromJson(jsonAdvertisement as Map<String, dynamic>)
    ).toList();
  }

  static List<Map<String, dynamic>> toJsonArray(List<AdvertisementModel> advertisements) {
    return advertisements.map((advertisement) => advertisement.toJson()).toList();
  }
}