import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/theme/theme_gradient.dart';

class GradientBackground extends StatelessWidget {
  final CustomPainter painter;
  final CustomClipper<Path> clipper;
  final double height;
  final Widget child;

  GradientBackground({
    @required this.painter,
    @required this.clipper,
    @required this.height,
    this.child
  });

  @override
  Widget build(BuildContext context) {
    return CustomPaint(
      painter: painter,
      child: ClipPath(
        clipper: clipper,
        child: Container(
          height: height,
          decoration: BoxDecoration(
              gradient: ThemeGradient(context: context)
          ),
          child: child,
        ),
      ),
    );
  }
}