import 'package:flutter/material.dart';
import 'package:vegigo2_ui_common/theme/colors.dart' as colors;

ThemeData theme({Color primaryColorLight = colors.LIGHT_PEACH, Color primaryColorDark = colors.DARK_PEACH}) {
  return ThemeData(
    primarySwatch: Colors.green,
    primaryColorLight: colors.LIGHT_PEACH,
    primaryColorDark: colors.DARK_PEACH,
    primaryIconTheme: IconThemeData(color: colors.GREEN),
    textTheme: TextTheme(
      headline3: TextStyle(
          fontSize: 24,
          fontWeight: FontWeight.w500,
          fontFamily: 'Salsa',
          color: Colors.black
      ),
      headline4: TextStyle(
          fontSize: 16,
          fontWeight: FontWeight.w500,
          fontFamily: 'Salsa',
          color: colors.DARK_BROWN
      ),
      headline5: TextStyle(
          fontSize: 16,
          fontWeight: FontWeight.w400,
          fontFamily: 'PublicSans'
      ),
      subtitle1: TextStyle(
          fontSize: 13,
          fontWeight: FontWeight.w400,
          fontFamily: 'Roboto'
      ),
      subtitle2: TextStyle(
          fontSize: 14,
          fontWeight: FontWeight.bold,
          fontFamily: 'PublicSans'
      ),
      bodyText1: TextStyle(
          fontSize: 11,
          fontWeight: FontWeight.w700,
          fontFamily: 'PublicSans'
      ),
      bodyText2: TextStyle(
          fontSize: 10,
          fontWeight: FontWeight.w400,
          fontFamily: 'PublicSans'
      ),
    ),
    visualDensity: VisualDensity.adaptivePlatformDensity,
  );
}