import 'package:flutter/material.dart';

class SecondaryButton extends StatelessWidget {
  final Text title;
  final EdgeInsetsGeometry padding;
  final VoidCallback onButtonPressed;

  SecondaryButton({
    Key key,
    @required this.title,
    this.padding =  const EdgeInsets.symmetric(horizontal: 0.0, vertical: 0.0),
    this.onButtonPressed =  null
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return OutlineButton(
        child: Ink(
          padding: padding,
          child: Center(
            child: title
          ),
        ),
        borderSide: BorderSide(
            color: Colors.white,
            width: 1,
            style: BorderStyle.solid
        ),
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(80.0),
        ),
        onPressed: onButtonPressed
    );
  }
}
